package net.pingex.discordbot;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Marks a Command as callable from the Discord chat.
 * @version 0.1-dev
 * @author Raphael "Pingex" NAAS
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Command
{
	/**
	 * Minimum number of arguments expected
	 */
	int minArgs() default 0;

	/**
	 * Shortened command
	 */
	String shorthand() default "";

	/**
	 * Default permission for this command
	 */
	DefaultPermission permission() default DefaultPermission.EVERYONE;

	/**
	 * Description of the command
	 */
	String description() default "No description provided for this command.";
}
