package net.pingex.discordbot;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Marks a module as Controllable, ie which contains commands callable from the Discord chat.
 * @version 0.1-dev
 * @author Raphael "Pingex" NAAS
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Controllable
{
	/**
	 * Name of the module, ie the `module` part in `!module:command`
	 */
	String name();
}
